Package org.codehaus.groovy.classgen.asm

# Class CompileStack.BlockRecorder

java.lang.Object
org.codehaus.groovy.classgen.asm.CompileStack.BlockRecorder

Enclosing class:
  `CompileStack`

public static class CompileStack.BlockRecorder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Runnable`
`excludedStatement`
`LinkedList<CompileStack.LabelRange>`
`ranges`

## Constructor Summary

Constructors
Constructor
Description
`BlockRecorder()`
`BlockRecorder(Runnable excludedStatement)`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeRange(org.objectweb.asm.Label end)`
`void`
`startRange(org.objectweb.asm.Label start)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### excludedStatement

public Runnable excludedStatement

### ranges

public LinkedList<CompileStack.LabelRange> ranges

## Constructor Details

### BlockRecorder

public BlockRecorder()

### BlockRecorder

public BlockRecorder(Runnable excludedStatement)

## Method Details

### startRange

public void startRange(org.objectweb.asm.Label start)

### closeRange

public void closeRange(org.objectweb.asm.Label end)